## util-linux 2.19.1-2ubuntu3

=== debian/changelog ===
util-linux (2.19.1-2ubuntu3) oneiric; urgency=low

  * Use canonicalize_spec in getmntdevbackward. proc should not be
    interpreted as a non-canonical-path. Thanks Francesco Del Degan!

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 09 Aug 2011 17:08:27 +0100

util-linux (2.19.1-2ubuntu2) oneiric; urgency=low

  * shlibs/mount/src/tab_update.c: don't refuse to update mtab when source
    is 'none'.  LP: #802197.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Jun 2011 13:05:10 +0100

util-linux (2.19.1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build for multiarch.
    - Add pre-depends on multiarch-support.
    - configure.ac: don't try to be clever about extracting a path name from
      $libdir to append to /usr in a way that's not overridable; instead,
      reuse the built-in configurable libexecdir.
    - Fix up the .pc.in files to know about libexecdir, so our substitutions
      don't leave us with unusable pkg-config files.
    - Install custom blkid.conf to use /dev/.blkid.tab since we don't
      expect device names to survive a reboot
    - Mention mountall(8) in fstab(5) manpages, along with its special
      options.
    - Since upstart is required in Ubuntu, the hwclock.sh init script is not
      called on startup and the hwclockfirst.sh init script is removed.
    - Drop depends on initscripts for the above.
    - Replace hwclock udev rule with an Upstart job.
    - For the case where mount is called with a directory to mount, look
      that directory up in mountall's /lib/init/fstab if we couldn't find
      it mentioned anywhere else.  This means "mount /proc", "mount /sys",
      etc. work.
    - mount.8 points to the cifs-utils package, not the obsolete smbfs one. 
  * Dropped changes:
    - mount.preinst: lsb_release has been fixed in lucid and above to be
      usable without configuration, so we don't have to diverge from Debian
      here anymore.
  * Changes merged upstream:
    - sfdisk support for '+' with '-N'
    - mount/umount.c: fix a segfault on umount with empty mtab entry
    - Fix arbitrary unmount with fuse security issue

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Jun 2011 22:31:50 -0700

util-linux (2.19.1-2) unstable; urgency=low

  [LaMont Jones]

  * deliver findmnt in mount, rather than util-linux

  [Jeroen Schot]

  * Dutch transations.  Closes: #624858

  [Hideki Yamane]

  * Japanese translation.  Closes: #626383

  [Esko Arajärvi]

  * Finnish debconf templates.  Closes: #615472

  [Roger Leigh]

  * Update with current translations
  * Enable libmount; new packages libmount1, libmount-udeb and libmount-dev
    added; bump standards-version

  [Arief S Fitrianto]

  * update Indonesian translations.  Closes: #611319

  [Innocent De Marchi]

  * debconf po file for Catalan.  Closes: #628367

  [Paul Menzel]

  * Add Homepage: to control.  Closes: #590708

 -- LaMont Jones <lamont@debian.org>  Tue, 31 May 2011 14:12:57 -0600

util-linux (2.19.1-1) experimental; urgency=low

  * New upstream

 -- LaMont Jones <lamont@debian.org>  Wed, 11 May 2011 08:38:31 -0600

util-linux (2.17.2-9.1ubuntu4) natty; urgency=low

  * No-change rebuild against fixed pkgbinarymangler, to get correct
    multiarch-safe changelogs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 01:15:07 -0700

util-linux (2.17.2-9.1ubuntu3) natty; urgency=low

  * Build for multiarch.
  * Add pre-depends on multiarch-support.
  * configure.ac: don't try to be clever about extracting a path name from
    $libdir to append to /usr in a way that's not overridable; instead,
    reuse the built-in configurable libexecdir.
  * Fix up the .pc.in files to know about libexecdir, so our substitutions
    don't leave us with unusable pkg-config files.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Mar 2011 16:01:24 -0700

util-linux (2.17.2-9.1ubuntu2) natty; urgency=low

  * Drop mount.preinst dpkg-vendor snippet; dpkg-vendor is only available in
    dpkg-dev *doh*; LP: #719754.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 16 Feb 2011 10:53:50 +0100

util-linux (2.17.2-9.1ubuntu1) natty; urgency=low

  * Merge with Debian sid, adds support for armhf.
    - rules: fix name of README.modems-with-agetty.
    - control: drop breaks with udev and nfs-common and debhelper build-dep
      bump as these constraints are satisfied in lucid.
    - control: add suggests on nfs-common as to minimize delta with Debian.
    - libblkid1.preinst: drop, upgrades from lucid and onwards aren't
      affected.
    - util-linux.postinst: drop upgrade snippet as packages from lucid and
      onwards aren't affected.
    - libblkid1.symbols, libuuid1.symbols: copy from Debian as lucid has the
      highest version (2.17.2) anyway, and this is an useless diff against
      Debian.
    - rules: drop debian/util-linux.initramfs installation which was in an "if
      Debian" block but isn't actually in the Debian source package.
    - mount.preinst: restore nfs upgrade snippet, but use dpkg-vendor instead
      of lsb_release.
    - util-linux.preinst: drop hwclock.sh and hwclockfirst.sh removal snippet
    as it's not needed for upgrades from lucid and onwards anymore.
    - Remaining changes:
      . Since udev is required in Ubuntu, the hwclock.sh init script is
        not called on startup and the hwclockfirst.sh init script is
        removed.
      . Install custom blkid.conf to use /dev/.blkid.tab since we don't
        expect device names to survive a reboot
      . Use dpkg-vendor instead of lsb_release in mount.preinst to avoid a
        Pre-Depends otherwise; LP #383697.
      . Mention mountall(8) in fstab(5) manpages, along with its special
        options.
      . For the case where mount is called with a directory to mount, look
        that directory up in mountall's /lib/init/fstab if we couldn't find
        it mentioned anywhere else.  This means "mount /proc", "mount /sys",
        etc. work.

