=== debian/control ===
Source: util-linux
Build-Depends: libncurses5-dev, libslang2-dev (>=2.0.4), gettext, zlib1g-dev, dpkg-dev (>= 1.16.0), libselinux1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], debhelper (>=5), lsb-release, pkg-config, po-debconf
Section: base
Priority: required
Uploaders: Scott James Remnant <scott@ubuntu.com>
Standards-Version: 3.9.2
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
Vcs-Browser: http://git.debian.org/?p=users/lamont/util-linux.git
Vcs-Git: git://git.debian.org/~lamont/util-linux.git
Homepage: http://userweb.kernel.org/~kzak/util-linux/

Package: util-linux
Architecture: any
Section: utils
Priority: required
Essential: yes
Depends: lsb-base (>= 3.0-6), tzdata (>=2006c-2), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Pre-Depends: ${shlibs:Depends}
Suggests: util-linux-locales, kbd | console-tools, dosfstools
Replaces: schedutils, miscutils, setterm, fdisk, linux32, sparc-utils, e2fsprogs, ${util-linux:Conflicts}
Conflicts: schedutils, setterm, fdisk, kbd (<< 1.05-3), console-tools (<< 1:0.2.3-21), linux32, ${util-linux:Conflicts}
Provides: schedutils, linux32
Multi-Arch: foreign
Description: Miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system.  Some of the more
 important utilities included in this package allow you to partition
 your hard disk, view kernel messages, and create new filesystems.

Package: util-linux-locales
Architecture: all
Section: utils
Priority: optional
Depends: util-linux (>= ${Upstream}-0), util-linux (<< ${Upstream}.0-0), ${misc:Depends}
Replaces: util-linux (<< 2.11b)
Description: Locales files for util-linux
 This package contains the internationalization files of for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English.

Package: mount
Architecture: alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 sh4 s390 sparc sparc64
Essential: yes
Section: admin
Pre-Depends: ${shlibs:Depends}
Suggests: nfs-common (>=1:1.1.0-13)
Multi-Arch: foreign
Description: Tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Essential: yes
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bsdmainutils
Multi-Arch: foreign
Description: Basic utilities from 4.4BSD-Lite
 This package contains the bare minimum number of BSD utilities needed
 to boot a Debian system: logger, renice, script, scriptreplay, and wall.
 The remaining standard BSD utilities are provided by bsdmainutils.

Package: fdisk-udeb
Architecture: alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r mips mipsel powerpc powerpcspe ppc64 hurd-i386 sh4 sparc s390
Priority: extra
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (fdisk)

Package: cfdisk-udeb
Architecture: alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r mips mipsel powerpc powerpcspe ppc64 hurd-i386 sh4 s390
Priority: extra
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (cfdisk)

Package: libblkid1
Section: libs
Priority: required
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Description: block device id library
 The blkid library which allows system programs like fsck and
 mount to quickly and easily find block devices by filesystem UUID and
 LABEL.  This allows system administrators to avoid specifying
 filesystems by hard-coded device names, but via a logical naming
 system instead.

Package: libblkid1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: block device id library
 The blkid library which allows system programs like fsck and
 mount to quickly and easily find block devices by filesystem UUID and
 LABEL.  This allows system administrators to avoid specifiying
 filesystems by hard-coded device names, but via a logical naming
 system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libblkid1 (= ${binary:Version}), uuid-dev, ${misc:Depends}
Architecture: any
Description: block device id library - headers and static libraries
 The blkid library which allows system programs like fsck and
 mount to quickly and easily find block devices by filesystem UUID and
 LABEL.  This allows system administrators to avoid specifiying
 filesystems by hard-coded device names, but via a logical naming
 system instead.
 .
 This package contains the development environment for the blkid library.

Package: libmount1
Section: libs
Priority: required
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Description: block device id library
 The device mounting library, used by mount and mount helpers.

Package: libmount1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: block device id library
 The device mounting library, used by mount and mount helpers.
 .
 This is a minimal package for debian-installer.

Package: libmount-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libmount1 (= ${binary:Version}), uuid-dev, ${misc:Depends}
Architecture: any
Description: block device id library - headers and static libraries
 The device mounting library, used by mount and mount helpers.
 .
 This package contains the development environment for the mount library.

Package: libuuid1
Section: libs
Depends: passwd, ${shlibs:Depends}, ${misc:Depends}
Recommends: uuid-runtime
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Description: Universally Unique ID library
 The libuuid library generates and parses 128-bit universally unique
 ids (UUIDs).  A UUID is an identifier that is unique across both
 space and time, with respect to the space of all UUIDs.  A UUID can
 be used for multiple purposes, from tagging objects with an extremely
 short lifetime, to reliably identifying very persistent objects
 across a network.
 .
 See RFC 4122 for more information.

Package: uuid-runtime
Section: libs
Priority: optional
Depends: passwd, libuuid1 (>> 1.40.3-1), ${shlibs:Depends}, ${misc:Depends}
Replaces: e2fsprogs (<= 1.40.3-1ubuntu1)
Architecture: any
Multi-Arch: foreign
Description: runtime components for the Universally Unique ID library
 The libuuid library generates and parses 128-bit universally unique
 ids (UUIDs).  A UUID is an identifier that is unique across both
 space and time, with respect to the space of all UUIDs.  A UUID can
 be used for multiple purposes, from tagging objects with an extremely
 short lifetime, to reliably identifying very persistent objects
 across a network.
 .
 See RFC 4122 for more information.
 .
 This package contains the uuidgen program and the uuidd daemon.
 .
 The uuidd daemon is used to generate UUIDs, especially time-based
 UUID’s, in a secure and guaranteed-unique fashion, even in the face
 of large numbers of threads trying to grab UUID’s running on
 different CPU’s. It is used by libuuid as well as the uuidgen
 program.

Package: libuuid1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: stripped down universally unique id library, for debian-installer
 libuuid generates and parses 128-bit universally unique ids (UUIDs).
 See RFC 4122 for more information.
 .
 This is a minimal package for debian-installer.

Package: uuid-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libuuid1 (= ${binary:Version}), ${misc:Depends}
Replaces: e2fslibs-dev (<< 1.15)
Architecture: any
Description: universally unique id library - headers and static libraries
 libuuid generates and parses 128-bit universally unique ids (UUIDs).
 See RFC 4122 for more information.
 .
 This package contains the development environment for the uuid library.

Package: util-linux-udeb
Architecture: any
Priority: optional
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
Description: Miscellaneous system utilities
 This is a minimal version of util-linux for debian-installer. It only
 contains the blkid binary at the moment.
