=== debian/watch ===
version=3
ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/v([\.\d]+)/util-linux-([\.\d]+)\.tar\.bz2
