## util-linux 2.25.1

=== debian/changelog ===
util-linux (2.25.1-3ubuntu4.1) utopic; urgency=medium

  * Add libblkid-zeroize_errno_on_blkid_probe_get_buffer_success.patch: Detect
    exfat file system in blkid. (LP: #1393542)

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 16 Mar 2015 11:24:39 -0300

util-linux (2.25.1-3ubuntu4) utopic; urgency=low

  * debian/uuid-runtime.postinst:
    - fix anohter chsh usage LP: 1381570

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2014 17:17:07 +0200

util-linux (2.25.1-3ubuntu3) utopic; urgency=low

  [ Sebastian Ramacher ]
  * debian/libuuid1.postinst: Use usermod instead of chsh. 
    LP: 1381570

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2014 17:02:09 +0200

util-linux (2.25.1-3ubuntu2) utopic; urgency=medium

  * Add debian/util-linux.hwclock.sh.upstart: Mask /etc/init.d/hwclock.sh, as
    we don't want to run this under upstart (we already have hwclock.conf for
    that). (LP: #1377698)
  * debian/util-linux.postinst: Remove /etc/adjtime again on upgrades to this
    version, we don't want it in Ubuntu. This can be removed after utopic, it
    only affects intra-utopic upgrades.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Oct 2014 15:10:44 +0200

util-linux (2.25.1-3ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable to get some packaging bug fixes.
    Remaining Ubuntu changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Upstart support:
      + Add hwclock{-save}.upstart, and install them in debian/rules.
      + Drop debian/hwclock.rules and hwclock.default.
    - Add mountall-options.patch, see patch header.
    - Add debian/libblkid1.maintscript to clean up /etc/blkid.conf on upgrade.
      This needs to be kept until after Ubuntu 16.04 LTS.
  * Revert move to unified libsystemd-dev, we still have an older systemd in
    Ubuntu. This will be done in Ubuntu 15.04.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 06 Oct 2014 08:22:05 +0200

util-linux (2.25.1-3) unstable; urgency=medium

  [ Ben Hutchings ]
  * hwclock-set: Don't use 'touch' to create stamp file, as it may not be
    included in an initramfs (Really closes: #763823)

  [ Andreas Henriksson ]
  * Put uuid-runtime in Section utils.
    Thanks to Ben Finney for the suggestion (Closes: #764039)
  * Cherry-pick upstream commit 8026fa9bc752
    "build-sys: use -lutil for BSD only"
    debian/patches/build-sys-use-lutil-for-BSD-only.patch
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 05 Oct 2014 19:06:42 +0200

util-linux (2.25.1-2) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Make libmount-dev depend on libblkid-dev (LP: #1096581)
  * Drop uuid-dev dependency in libmount-dev package
  * Drop explicit disabling of pivot_root on non-linux
  * Attempt to stop uuidd before usermod in postinst (LP: #1374648)
  * Change build-dep to new unified libsystemd-dev (Closes: #763808)

  [ Ben Hutchings ]
  * hwclock-set: Use stamp file in /run/udev to ensure we set the clock
    only once if installed in the initramfs (Closes: #763823)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 03 Oct 2014 10:40:53 +0200

util-linux (2.25.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian experimental to get new upstream bug fix release.
    Remaining Ubuntu changes:
    - Regularly trim SSDs automatically (core-1311-ssd-trimming):
      + Add debian/fstrim-all.cron: Call fstrim --all. Installed as
        /etc/cron.weekly/fstrim.
    - Upstart support:
      + Add hwclock{-save}.upstart, and install them in debian/rules.
      + Drop debian/hwclock.rules and hwclock.default.
    - Add mountall-options.patch, see patch header.
    - Add debian/libblkid1.maintscript to clean up /etc/blkid.conf on upgrade.
      This needs to be kept until after Ubuntu 16.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Sep 2014 07:05:22 +0200

util-linux (2.25.1-1) experimental; urgency=medium

  * Rename libuuid user to uuidd in libuuidd1 postinst as well
  * Imported Upstream version 2.25.1
  * Drop duplicated BSD-3-clause license text from debian/copyright

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 08 Sep 2014 01:50:26 +0200

util-linux (2.25.1~rc1-1) experimental; urgency=medium

  * Restart uuidd /after/ upgrade.
    Thanks to Michael Biebl for the suggestion.
  * Cherry-pick fdisk/bsd test fix from upstream.
    Thanks to Aurélien Jarno for solving and submitting this upstream
  * Imported Upstream version 2.25.1~rc1
  * Rebase debian patch set on top of 2.25.1~rc1
    - Drop patches for things fixed in new upstream release:
      debian/patches/cfdisk-reenable-cursor-when-quitting.patch
      debian/patches/fdisk-fix-l-device.patch
      debian/patches/tests-allow-non-inotify-tailf-to-keep-up.patch
      debian/patches/tests-fix-fdisk-bsd-for-the-two-possible-sectors-off.patch
    - Refresh remaining patches.
  * Mark libmount context symbols linux-any
  * Add patches to make libmount build on kfreebsd
  * Mark libmount1 as to be built everywhere
  * Install fsck on every architecture
  * Add NEWS entry about reinstating fsck on kFreeBSD.
    Disclaimer: I, Andreas Henriksson, will *not* maintain the patches.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 30 Aug 2014 18:32:25 -0700

util-linux (2.25-8ubuntu3) utopic; urgency=medium

  * Put back the hwclock.sh init.d script, and also the initscripts dependency
    (which will fix deboostrap). If #1307883 still affects upgrades from
    trusty, it should be fixed properly in apt.
  * Drop the sub[ug]id sedding. The uuidd user is now being created using
    adduser which doesn't add it there.
  * Drop debian/fstrim-all{,.8}, and adjust debian/fstrim-all.cron to call
    "fstrim --all" instead. Drop our whitelisting. There do not seem to be
    many broken drives around with broken TRIM support, and the kernel already
